## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate nasm-rs

Name:           rust-nasm-rs
Version:        0.2.5
Release:        %autorelease
Summary:        Run NASM during your Cargo build

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/nasm-rs
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Run NASM during your Cargo build.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       nasm

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.markdown
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parallel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parallel-devel %{_description}

This package contains library source intended for building other packages which
use the "parallel" feature of the "%{crate}" crate.

%files       -n %{name}+parallel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'nasm'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5; Fixes RHBZ#2188463

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jan 31 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4; Fixes RHBZ#2048112

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Update to version 0.2.3; Fixes RHBZ#2041069

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.2-1
- Update to version 0.2.2; Fixes RHBZ#2028941

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> - 0.2.1-1
- Update to version 0.2.1; Fixes RHBZ#1987327

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-1
- Update to version 0.2.0.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 11 2020 Josh Stone <jistone@redhat.com> - 0.1.8-1
- Update to 0.1.8

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 0.1.7-1
- Update to 0.1.7

* Fri Dec 20 23:53:53 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-2
- Add patch to generate DWARF debuginfo instead of STAB

* Thu Dec 05 18:36:07 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.5-1
- Release 0.1.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 20 10:01:10 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-2
- Run tests in infrastructure

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.4-1
- Initial package

## END: Generated by rpmautospec
